#container, #footer, #navcontainer, .blog-archive-headings-wrapper, .blog-archive-entries-wrapper {
	width: 780px;
}

#navcontainer {
	margin-left: -390px;
	left: 50%;
}

#container {
	width: 780px;
}



#navcontainer ul ul, #navcontainer ul ul ul {
	width: 780px;
	position: absolute;
}

#navcontainer ul li, #navcontainer ul ul li, #navcontainer ul ul ul li {
	width: 156px;
}